Enable " LDAP user and group backend" grayed out. This app cannot be installed because the following dependencies are not fulfilled: The library ldap is not available

Hi J-ed, Yes you were right. When I checked I saw three versions of PHP running in the server and the Web is to access PHP7.2 but PHP 7.2’s directory didn’t have ldap.so file, where as PHP 7.0 & 5.6 had the file/module.

Now I have made Apache to point/look at PHP 7.0 by renaming php_XX.conf files of both 7.2 and 5.6 versions.

Now the “enable” button activated and am able to Integrate AD with Nextcloud.

1 Like